<!-- ZwDatePicker -->
<template>

  <el-date-picker class="w160" :value-format="valueFormat" v-model="Value" :type="type" :disabled="disabled" :readonly="readonly" :placeholder="placeholder" :clearable="clearable">
  </el-date-picker>

</template>

<script>
export default {
  name: 'ZwDatePicker',
  props: {
    value: {
      type: String | Number,
      required: true
    },
    'value-format': {
      default: 'yyyy-MM-dd'
    },
    type: {
      type: String,
      default: 'date'
    },
    placeholder: {
      type: String,
      default: '请选择'
    },
    disabled: Boolean,
    readonly: Boolean,
    clearable: {
      type: Boolean,
      default: true
    },

  },

  computed: {
    Value: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }

    }
  },
  data() {
    return {
    }
  },
  methods: {
    //初始化方法
    init() { }
  },
}

</script>
<style lang='scss' scoped>
</style>